[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CalculateDockSizes

Saves the docked and undocked extent of the control.

## Declaration

Source position: controls.pp line 1457

`protected procedure TControl.CalculateDockSizes;`

## Description

In the floating state, it sets UndockWidth/Height to the current Width/Height. In docked state, it sets LRDockWidth/TBDockHeight to the current Width/Height.

Remark: | Should save both in any case, independent from DockOrientation or host Align. Rationale: a DockManager will either ignore these values, or use them according to the new alignment. Without a DockManager both extents are required, because no (valid) alignment information applies.